*     G05EZF Example Program Text
*     Mark 20 Revised. NAG Copyright 2001.
*     .. Parameters ..
      INTEGER          N, NR, IC
      PARAMETER        (N=2,NR=(N+1)*(N+2)/2,IC=N)
      INTEGER          NOUT
      PARAMETER        (NOUT=6)
*     .. Local Scalars ..
      INTEGER          I, IFAIL, J
*     .. Local Arrays ..
      DOUBLE PRECISION A(N), C(IC,N), R(NR), Z(N)
*     .. External Subroutines ..
      EXTERNAL         G05CBF, G05EAF, G05EZF, G05ZAF
*     .. Executable Statements ..
      CALL G05ZAF('O')
      WRITE (NOUT,*) 'G05EZF Example Program Results'
      WRITE (NOUT,*)
      A(1) = 1.0D0
      A(2) = 2.0D0
      C(1,1) = 2.0D0
      C(2,2) = 3.0D0
      C(1,2) = 1.0D0
      C(2,1) = 1.0D0
      CALL G05CBF(0)
      IFAIL = 0
*
      CALL G05EAF(A,N,C,IC,0.01D0,R,NR,IFAIL)
*
      DO 20 I = 1, 5
*
         CALL G05EZF(Z,N,R,NR,IFAIL)
*
         WRITE (NOUT,99999) (Z(J),J=1,N)
   20 CONTINUE
      STOP
*
99999 FORMAT (1X,2F10.4)
      END
